<i18n lang="yml">
  en:
    filters_show: "Show filters"
    filters_hide: "Hide filters"
  nl:
    filters_show: "Toon filters"
    filters_hide: "Verberg filters"
</i18n>

<template>
  <AmsButton
    :is-active="filtersOpen"
    @click.native="$emit('open-filters-row', !filtersOpen)"
  >
    <SvgIconFunnel width="32" height="32" />
    <transition name="fade" mode="out-in">
      <span v-if="!filtersOpen">
        {{ $t("filters_show") }}
      </span>
      <span v-else>
        {{ $t("filters_hide") }}
      </span>
    </transition>
  </AmsButton>
</template>

<script lang="ts">
import {
  defineComponent,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsButtonToggleFilters",

  components: {
    AmsButton: () => import("~/components/_elements/Form/Button.vue"),
    // @ts-ignore
    SvgIconFunnel: () => import("~/assets/img/icons/funnel.svg"),
  },

  props: {
    filtersOpen: {
      type: Boolean,
      default: false,
    },
  },
});
</script>
